Bug 863723 - calc: cut/paste from other source changes size of receiving cell
calc: cut/paste from other source changes size of receiving cell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 18:28 EDT by George R. Goffe
Modified: 2013-02-13 09:19 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:19:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2012-10-06 18:28:11 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 George R. Goffe 2012-10-06 18:32:04 EDT
I was attempting to change the "Distribution" from openoffice.org to LibreOffice but must have hit enter or something. This bugzilla took that as a submit apparently.

I was trying to cut/paste information from an email into cells in the spread sheet lookalike. The formatting seems to default to bottom with wrap on which causes me to change the format of each cell into which I paste.
Comment 2 Caolan McNamara 2012-10-08 05:22:20 EDT
From what application were you pasting ?, evolution ?
Comment 3 George R. Goffe 2012-10-09 01:42:41 EDT
Caolan,

I'm reading email via Firefox.

George...
Comment 4 Caolan McNamara 2012-11-03 16:52:17 EDT
You mean you are using some webmail thing through firefix, i.e. we're talking html paste from firefox. Or you mean thunderbird ?

Is there any way we could reproduce here what exactly your problem is ?
Comment 5 George R. Goffe 2012-11-03 17:54:42 EDT
Caolan,

Thanks for your query.

I'm using FF Nightly to connect to mail.yahoo.com.

I read my email using FF Nightly and left button click on the beginning of an area that I want to copy/paste into a LibreOffice. Typically this is just text, I'm not trying to do anything fancy. When I end the selection process, I either use ctrl-C/ctrl-V (copy/paste) or just use the middle mouse button in the desired cell. When I do the paste process, LibreOffice gives me a prompt asking me if I want to proceed and some other options. I proceed and get the text, sometimes in just one cell and sometimes in sets of cells starting with the first cell I want to paste into and cells downward from that cell (multi line copy/paste?). The attributes of the cells are all changed from what I want (top, left) to what LibreOffice wants to use.

Does this help you?

George...
Comment 6 Caolan McNamara 2012-11-12 07:56:44 EST
I think it the (effectively) auto-wrap on paste feature that's bugging you here and resizing the cells to get the text to fit in the existing widths. An extra checkbox to disable this on paste might be the easiest solution.
Comment 7 George R. Goffe 2012-11-12 14:22:33 EST
Caolan,

Your description sounds like a hit on the behavior.

Sometimes the paste goes to 3 cells downwards which also appears to substantiate your diagnosis.

If you want me to test any code changes, I'll be more than happy to do that for you.

Regards,

George...
Comment 8 Fedora End Of Life 2013-01-16 08:29:53 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 09:19:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.